Subject: Re: xfuncname problems with C++

From: Jonathan Nieder <[email-masked]>
Date: Fri, 2 Jan 2015 12:19:59 -0800

Hi,

Robert Dailey wrote:

> I have a function like so:
>
> void MyClass::SomeFunction(int someParameter)
> {
>     // Stuff changed in here
> }
>
> When I do `git diff` on the file containing this function, I get a
> chunk showing some changed code in this function somewhere in the
> middle of the body. However, the chunk header shows my root namespace
> name in the file instead of the function header:
>
> @@ -144,15 +149,22 @@ namespace Utils
>
> What I expect to see:
>
> @@ -144,15 +149,22 @@ void MyClass::SomeFunction(int someParameter)

What version of git are you using?  Could you give a full copy of the
diff so we can have more context (feeling free to mark parts of it as
CENSORED where appropriate, but keeping leading whitespace and the
first +/- column)?

Thanks,
Jonathan